Name: fftw3
Summary: C subroutines for computing the Discrete Fourier Transform.
Version: 3.0.1
Release: 1.PU_IAS.2
Copyright: GPL
#Icon: fftw-logo-thumb.gif
Group: Scientific/Libraries
Prefix: %{_prefix}usr
Source: ftp://theory.lcs.mit.edu/pub/fftw/fftw-%{version}.tar.gz
URL: http://www.fftw.org/
BuildRoot: /var/tmp/%{name}-root
Requires: /sbin/ldconfig

%description
FFTW is a collection of fast C routines for computing the Discrete
Fourier Transform in one or more dimensions.  It includes complex,
real, and parallel transforms, and can handle arbitrary array sizes
efficiently.  This package includes both the double- and
single-precision FFTW uniprocessors and the threads libraries.

%package devel
Summary: Development files for the FFTW Discrete Fourier Transform library.
Group: Scientific/Development
Prefix: /usr
Requires: fftw3 = %{version}-%{release}

%description devel
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier
transform library.

%package static
Summary: Static development files for the FFTW Discrete Fourier Transform library.
Group: Scientific/Development
Prefix: /usr
Requires: fftw3 = %{version}-%{release}, fftw3-devel = %{version}-%{release}

%description static
This package contains the additional library files needed to link statically
programs using the FFTW fast fourier transform library.

%prep
%setup -q -n fftw-%{version}

%build
%ifarch athlon
%define fftw_opts "--enable-k7"
%else
%ifarch i686
%define fftw_opts "--enable-sse2"
%else
%endif
%endif

%configure --enable-threads --enable-shared %{fftw_opts}

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# hack to also compile/install single-precision version:
make distclean
%configure  --enable-threads --enable-shared --enable-float %{fftw_opts}
make
%makeinstall
# not time for double long precision
make distclean
%configure  --enable-threads --enable-shared --enable-long-double %{fftw_opts}
make
%makeinstall
#for ijk in $RPM_BUILD_ROOT/usr/lib/libd*; do
#	ln -sf `basename $ijk` $RPM_BUILD_ROOT/usr/lib/lib`basename $ijk|cut -b5-`
#done
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fftw*
%{_libdir}/libfftw3*.so.3*
%{_mandir}/man1/fftw*

%files devel
%defattr(-,root,root)
%{_includedir}/fftw3.*
%{_infodir}/*
%{_libdir}/libfftw3*.so
%{_libdir}/libfftw3*\.la

%files static
%defattr(-,root,root)
%{_libdir}/libfftw3*\.a

%changelog
* Thu Aug 26 2004 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for PU_IAS 1 with some bugfiles (file ownership :( )

* Fri May 2 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for 9

* Wed Jul 5 2002 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for 7.3

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fix bug #15034

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed broken info page location
- use %%makeinstall 
- use predefined RPM macros whenever possible

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- fixed broken requires for the devel package

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- fixed info pages not being gzipped

* Tue Nov 9 1999 Tim Powers <timp@redhat.com>
- updated to 2.1.3

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug  6 1999 Jeff Johnson <jbj@redhat.com>
- package for powertools.
